/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leaveapply.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.leaveapply.entity.LeaveApply;
import com.jeeplus.modules.leaveapply.entity.LeaveDetail;
import com.jeeplus.modules.workborrowmangement.entity.WorkBorrowMangement;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 请假申请DAO接口
 * @author ssrh
 * @version 2018-09-10
 */
@MyBatisDao
public interface LeaveApplyDao extends CrudDao<LeaveApply> {
    void updateProcessIdAndStatus(LeaveApply leaveApply);
    public List<LeaveApply> getCount(LeaveApply leaveApply);

    /**
     * 根据时间和档案id查询数据
     * @param staffId,time
     * @return
     */
    public LeaveApply getByStaffIdAndTime(@Param("staffId")String staffId, @Param("time")String time);
    public String getMaxTime(@Param("staffId")String staffId, @Param("id")String id);
    public int findHisTime(LeaveApply leaveApply);
    public int findHisDate(LeaveApply leaveApply);
    public List<LeaveApply> getMange(LeaveApply leaveApply);
    LeaveApply getSumDays(String staffId);
    int updateDetailFlat(LeaveApply leaveApply);
    int deleteDetail(LeaveApply leaveApply);
    int updateBack(LeaveApply leaveApply);
    int updateLongTime(LeaveApply leaveApply);
    int getResetState(String staffId);
     public List<LeaveApply> getBackTaskList();

}